## idm-console-framework 1.1.7

=== examples/supermail/customview/Makefile ===
# BEGIN COPYRIGHT BLOCK
# Copyright (C) 2001 Sun Microsystems, Inc.  Used by permission.
# Copyright (C) 2005 Red Hat, Inc.
# All rights reserved.
#
# This library is free software; you can redistribute it and/or
# modify it under the terms of the GNU Lesser General Public
# License as published by the Free Software Foundation version
# 2.1 of the License.
#                                                                                 
# This library is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# Lesser General Public License for more details.
#                                                                                 
# You should have received a copy of the GNU Lesser General Public
# License along with this library; if not, write to the Free Software
# Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
# END COPYRIGHT BLOCK

override BUILD_MODULE=HTTP_ADMIN
NO_BUILD_NUM=true
NOSTDCLEAN=true

MCOM_ROOT = ../../../../../../..
DIR_SUFFIX = sdk/examples

include ../../../../../../nsdefs.mk
include ../../../../../../nsconfig.mk
include ../../../../rules.mk

DEST_DIR = $(CLASS_DIR)/supermail/customview

source = \
		$(DEST_DIR)/SuperMailCustomView.class

all: $(DEST_DIR) $(source)

run: all
	$(JAVA) SuperMailFrameworkInitializer

clean:
	rm -f $(DEST_DIR)/*.class;

$(DEST_DIR)/%.class : %.java
	$(JAVAC) -classpath "$(CLASSPATH)$(PATH_SEP)$(CLASS_DIR)" -d $(CLASS_DIR) $<

$(DEST_DIR):	
	mkdir -p $(DEST_DIR)

=== test/com/netscape/management/client/Makefile ===
# BEGIN COPYRIGHT BLOCK
# Copyright (C) 2001 Sun Microsystems, Inc.  Used by permission.
# Copyright (C) 2005 Red Hat, Inc.
# All rights reserved.
#
# This library is free software; you can redistribute it and/or
# modify it under the terms of the GNU Lesser General Public
# License as published by the Free Software Foundation version
# 2.1 of the License.
#                                                                                 
# This library is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# Lesser General Public License for more details.
#                                                                                 
# You should have received a copy of the GNU Lesser General Public
# License along with this library; if not, write to the Free Software
# Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
# END COPYRIGHT BLOCK

override BUILD_MODULE=CONSOLE
NO_BUILD_NUM=true
NOSTDCLEAN=true

MCOM_ROOT = ../../../../../../..

include $(MCOM_ROOT)/netsite/nsdefs.mk
include $(MCOM_ROOT)/netsite/nsconfig.mk
include ../../../../../rules.mk
NOSTDCLEAN=true

DEST_DIR=$(NMC_DIR)/client/test

#
# programs list
#
source = \
		$(DEST_DIR)/DemoTaskModel.class \
		$(DEST_DIR)/DemoResourceModel.class \
		$(DEST_DIR)/DemoFrameworkInitializer.class

all: $(DEST_DIR) $(source) $(DEST_DIR)/icons

run: all
	$(JAVA) -classpath "$(CLASSPATH)$(PATH_SEP)$(CLASS_DIR)$(PATH_SEP)$(DEST_DIR)" DemoFrameworkInitializer

clean:
	rm $(DEST_DIR)/*.class;

fresh: $(clean) $(all)

$(DEST_DIR)/%.class : %.java
	$(JAVAC) -classpath "$(CLASSPATH)$(PATH_SEP)$(CLASS_DIR)$(PATH_SEP)$(CLASS_DIR)/com/netscape/management/client/test" -d $(DEST_DIR) $<

$(DEST_DIR):	
	mkdir -p $(DEST_DIR)

$(DEST_DIR)/icons:
	mkdir $(DEST_DIR)/icons
	-cp icons/* $(DEST_DIR)/icons/*

=== test/com/netscape/management/client/util/Makefile ===
# BEGIN COPYRIGHT BLOCK
# Copyright (C) 2001 Sun Microsystems, Inc.  Used by permission.
# Copyright (C) 2005 Red Hat, Inc.
# All rights reserved.
#
# This library is free software; you can redistribute it and/or
# modify it under the terms of the GNU Lesser General Public
# License as published by the Free Software Foundation version
# 2.1 of the License.
#                                                                                 
# This library is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# Lesser General Public License for more details.
#                                                                                 
# You should have received a copy of the GNU Lesser General Public
# License along with this library; if not, write to the Free Software
# Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
# END COPYRIGHT BLOCK

override BUILD_MODULE=CONSOLE

MCOM_ROOT = ../../../../../../..

include $(MCOM_ROOT)/netsite/nsdefs.mk
include $(MCOM_ROOT)/netsite/nsconfig.mk
include $(MCOM_ROOT)/netsite/console/rules.mk

DEST_DIR=$(NMC_DIR)/client/util

source = \
	$(DEST_DIR)/SimpleReferral.class \
	$(DEST_DIR)/LinkedListElement.class \
	$(DEST_DIR)/LinkedList.class \
	$(DEST_DIR)/Debug.class \
	$(DEST_DIR)/Permissions.class \
	$(DEST_DIR)/IProgressListener.class \
	$(DEST_DIR)/SingleByteDocument.class \
	$(DEST_DIR)/SingleBytePasswordField.class \
	$(DEST_DIR)/SingleByteTextField.class \
	$(DEST_DIR)/SingleByteTextArea.class \
	$(DEST_DIR)/UITools.class \
	$(DEST_DIR)/ImageInfo.class \
	$(DEST_DIR)/URLByteEncoder.class \
	$(DEST_DIR)/ExtendedMouseAdapter.class \
	$(DEST_DIR)/ModalDialogUtil.class \
	$(DEST_DIR)/ArrowIcon.class \
	$(DEST_DIR)/AbstractDialog.class \
	$(DEST_DIR)/AbstractModalDialog.class \
	$(DEST_DIR)/TableHeaderEditor.class \
	$(DEST_DIR)/DefaultCellRenderer.class \
	$(DEST_DIR)/KingpinLDAPConnection.class \
	$(DEST_DIR)/JButtonFactory.class \
	$(DEST_DIR)/GridBagUtil.class \
	$(DEST_DIR)/UtilConsoleGlobals.class \
	$(DEST_DIR)/ResourceSet.class \
	$(DEST_DIR)/Browser.class \
	$(DEST_DIR)/RemoteImage.class \
	$(DEST_DIR)/AssertionException.class \
	$(DEST_DIR)/AssertionError.class \
	$(DEST_DIR)/Assert.class \
	$(DEST_DIR)/ResourceSet.class \
	$(DEST_DIR)/LDAPUtil.class \
	$(DEST_DIR)/AdmTaskArg.class \
	$(DEST_DIR)/AdmTask.class \
	$(DEST_DIR)/ClipBoard.class \
	$(DEST_DIR)/SwingPackageNameConverter.class \
	$(DEST_DIR)/KingpinClassLoader.class \
	$(DEST_DIR)/LocalJarClassLoader.class \
	$(DEST_DIR)/ClassLoaderUtil.class \
	$(DEST_DIR)/BrowseHistoryListener.class \
	$(DEST_DIR)/BrowseHtmlHistory.class \
	$(DEST_DIR)/BrowseHtmlPane.class \
	$(DEST_DIR)/BrowseHtmlDialog.class \
	$(DEST_DIR)/Help.class \
	$(DEST_DIR)/AcceptLanguage.class \
	$(DEST_DIR)/AcceptLanguageList.class \
	$(DEST_DIR)/DottedBorder.class \
	$(DEST_DIR)/CompleteAcceptLanguageList.class \
	$(DEST_DIR)/default.properties \
	$(DEST_DIR)/LDAPInputStream.class \
	$(DEST_DIR)/LDAPOutputStream.class \
	$(DEST_DIR)/DottedBorder.class \
	$(DEST_DIR)/About.class \
	$(DEST_DIR)/IWizardPageControl.class \
	$(DEST_DIR)/IWizardControl.class \
	$(DEST_DIR)/Wizard.class \
	$(DEST_DIR)/TimePicker.class \
	$(DEST_DIR)/DatePicker.class \
	$(DEST_DIR)/DateTimePicker.class \
	$(DEST_DIR)/MultilineLabel.class \
	$(DEST_DIR)/IndexDialog.class \
	$(DEST_DIR)/SpinControl.class \
	$(DEST_DIR)/SpinEvent.class \
	$(DEST_DIR)/ISpinListener.class \
	$(DEST_DIR)/DayPicker.class 

all: $(DEST_DIR) $(source)

testcl: all
	java -classpath "$(CLASSPATH)$(PATH_SEP)$(CLASS_DIR)" com.netscape.management.client.util.LocalJarClassLoader

testdate: all
	java -classpath "$(CLASSPATH)$(PATH_SEP)$(CLASS_DIR)" com.netscape.management.client.util.DateTimePicker

include $(MCOM_ROOT)/netsite/console/targets.mk

=== test/com/netscape/management/client/util/test/Makefile ===
# BEGIN COPYRIGHT BLOCK
# Copyright (C) 2001 Sun Microsystems, Inc.  Used by permission.
# Copyright (C) 2005 Red Hat, Inc.
# All rights reserved.
#
# This library is free software; you can redistribute it and/or
# modify it under the terms of the GNU Lesser General Public
# License as published by the Free Software Foundation version
# 2.1 of the License.
#                                                                                 
# This library is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# Lesser General Public License for more details.
#                                                                                 
# You should have received a copy of the GNU Lesser General Public
# License along with this library; if not, write to the Free Software
# Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
# END COPYRIGHT BLOCK

CLASS_DIR=../../../../../..
DEST_DIR=$(CLASS_DIR)/netscape/management/client/util/test
DIR=.

#
# programs list
#
source = \
	$(DEST_DIR)/TestLinkedList.class 

all: $(DEST_DIR) $(source)

clean:
	rm $(DEST_DIR)/*.class;

fresh: $(clean) $(all)

javadoc:
	javadoc -d docs *.java netscape/management/client/util

cleandoc:
	rm docs/*.html

$(DEST_DIR)/%.class : %.java
	javac  -d $(DEST_DIR) $<

$(DEST_DIR):	
	mkdir -p $(DEST_DIR)

=== debian/changelog ===
idm-console-framework (1.1.7-1) unstable; urgency=low

  * New upstream release.
  * control: Wrap *depends.
  * control, rules: Build with openjdk.
  * control, compat: Bump compat, debhelper build-dep.
  * links: Fix the link versions.
  * control: Fix the description.
  * TODO: Delete, obsolete.
  * control: Drop jre dependency per current java policy.
  * README.Source: Drop, obsolete.
  * control: Change the maintainer address.
  * control: Add VCS headers.
  * copyright: Use DEP5 format.
  * Silence lintian warnings.
  * Add libjss-java and libldap-java to Depends.
  * Use dh.
  * Bump Standards-Version to 3.9.3, no changes.
  * watch: Fix the url.

 -- Timo Aaltonen <tjaalton@ubuntu.com>  Thu, 28 Jun 2012 10:52:33 +0300

idm-console-framework (1.1.5-1) unstable; urgency=low

  * New upstream

 -- Michele Baldessari <michele@pupazzo.org>  Sun, 05 Sep 2010 00:21:01 +0200

idm-console-framework (1.1.3-2) unstable; urgency=low

  * Bump policy to 3.9.1
  * Use 3.0 quilt source format

 -- Michele Baldessari <michele@pupazzo.org>  Sun, 05 Sep 2010 00:03:08 +0200

idm-console-framework (1.1.3-1) unstable; urgency=low

  * New upstream
  * Fix section: java
  * Add README.source

 -- Michele Baldessari <michele@pupazzo.org>  Mon, 25 Jan 2010 22:27:41 +0100

idm-console-framework (1.1.2-1) unstable; urgency=low

  * New upstream
  * Bump policy to 3.8.3
  * Add ${misc:Depends}

 -- Michele Baldessari <michele@pupazzo.org>  Mon, 25 Jan 2010 22:22:09 +0100

idm-console-framework (1.1.1-1) unstable; urgency=low

  * Initial package version.  Closes: #659098.

 -- Michele Baldessari <michele@pupazzo.org>  Wed, 09 Apr 2008 16:09:59 +0200

=== debian/control ===
Source: idm-console-framework
Section: java
Maintainer: Debian 389ds Team <pkg-fedora-ds-maintainers@lists.alioth.debian.org>
Uploaders: Michele Baldessari <michele@pupazzo.org>,
	   Timo Aaltonen <tjaalton@ubuntu.com> 
Priority: optional
Build-Depends: debhelper (>= 8.0.0),
 ant,
 libjss-java,
 libldap-java,
 quilt,
 default-jdk,
Standards-Version: 3.9.3
Vcs-Git: git://git.debian.org/git/pkg-fedora-ds/idm-console-framework.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-fedora-ds/idm-console-framework.git
Homepage: http://directory.fedoraproject.org

Package: libidm-console-framework-java
Architecture: all
Depends: ${misc:Depends},
 libjss-java,
 libldap-java,
Description: IDM Console Framework for the 389 Directory Server Console
 A Java Management Console framework, used for 389 Directory Server remote
 management.

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE=1

# ant doesn't support --builddirectory
BUILT_DIR=$(CURDIR)/build

override_dh_auto_clean:
	dh_auto_clean
	rm -rf $(BUILT_DIR)

override_dh_auto_configure:

override_dh_auto_build:
	ant -Dlib.dir=/usr/lib \
		-Dbuilt.dir=$(BUILT_DIR) \
		-Dclassdest=/usr/share/java \
		-Djss.local.location=/usr/share/java

override_dh_auto_install:
	mkdir -p $(CURDIR)/debian/libidm-console-framework-java/usr/share/java/
	install -m 644 $(BUILT_DIR)/release/jars/*.jar $(CURDIR)/debian/libidm-console-framework-java/usr/share/java/

%:
	dh $@

=== debian/watch ===
version=3
http://directory.fedoraproject.org/wiki/Source .*/idm-console-framework-(.*).tar.bz2

## idm-console-framework 1.1.14

=== examples/supermail/images/Makefile ===
# BEGIN COPYRIGHT BLOCK
# Copyright (C) 2001 Sun Microsystems, Inc.  Used by permission.
# Copyright (C) 2005 Red Hat, Inc.
# All rights reserved.
#
# This library is free software; you can redistribute it and/or
# modify it under the terms of the GNU Lesser General Public
# License as published by the Free Software Foundation version
# 2.1 of the License.
#                                                                                 
# This library is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# Lesser General Public License for more details.
#                                                                                 
# You should have received a copy of the GNU Lesser General Public
# License along with this library; if not, write to the Free Software
# Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
# END COPYRIGHT BLOCK

override BUILD_MODULE=HTTP_ADMIN
NO_BUILD_NUM=true
NOSTDCLEAN=true

MCOM_ROOT = ../../../../../../..
DIR_SUFFIX = sdk/examples

include ../../../../../../nsdefs.mk
include ../../../../../../nsconfig.mk
include ../../../../rules.mk

DEST_DIR = $(CLASS_DIR)/supermail/images

all: $(DEST_DIR)
	-cp *.gif $(DEST_DIR)
	-cp *.jpg $(DEST_DIR)

clean:
	rm -f $(DEST_DIR)/*.gif;
	rm -f $(DEST_DIR)/*.jpg;

$(DEST_DIR):	
	mkdir -p $(DEST_DIR)

=== examples/supermail/ug/Makefile ===
# BEGIN COPYRIGHT BLOCK
# Copyright (C) 2001 Sun Microsystems, Inc.  Used by permission.
# Copyright (C) 2005 Red Hat, Inc.
# All rights reserved.
#
# This library is free software; you can redistribute it and/or
# modify it under the terms of the GNU Lesser General Public
# License as published by the Free Software Foundation version
# 2.1 of the License.
#                                                                                 
# This library is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# Lesser General Public License for more details.
#                                                                                 
# You should have received a copy of the GNU Lesser General Public
# License along with this library; if not, write to the Free Software
# Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
# END COPYRIGHT BLOCK

override BUILD_MODULE=HTTP_ADMIN
NO_BUILD_NUM=true
NOSTDCLEAN=true

MCOM_ROOT = ../../../../../../..
DIR_SUFFIX = sdk/examples

include ../../../../../../nsdefs.mk
include ../../../../../../nsconfig.mk
include ../../../../rules.mk

DEST_DIR = $(CLASS_DIR)/supermail/ug

source = \
	$(DEST_DIR)/SuperMailUserPage.class

pluginJar = SuperMailUGPlugin.jar
pluginJarFiles = SuperMailUserPage.class

pluginLangJar = SuperMailUGPlugin_en.jar
pluginLangJarFiles = supermailug.properties

all: $(DEST_DIR) $(source) $(pluginJar) $(pluginLangJar)

clean:
	rm -f $(DEST_DIR)/*.class
	rm -f $(DEST_DIR)/*.jar
	rm -f *.jar

$(DEST_DIR)/%.class : %.java
	$(JAVAC) -classpath "$(CLASSPATH)$(PATH_SEP)$(CLASS_DIR)" -d $(DEST_DIR) $<

$(DEST_DIR):
	mkdir -p $(DEST_DIR)

$(pluginJar) : $(source)
	cd $(DEST_DIR) ; $(ZIP) -r $@ $(pluginJarFiles)
	cp $(DEST_DIR)/$@ .

$(pluginLangJar) : $(pluginLangJarFiles)
	$(ZIP) -r $@ $(pluginLangJarFiles)

=== test/com/netscape/management/client/comm/Makefile ===
# BEGIN COPYRIGHT BLOCK
# Copyright (C) 2001 Sun Microsystems, Inc.  Used by permission.
# Copyright (C) 2005 Red Hat, Inc.
# All rights reserved.
#
# This library is free software; you can redistribute it and/or
# modify it under the terms of the GNU Lesser General Public
# License as published by the Free Software Foundation version
# 2.1 of the License.
#                                                                                 
# This library is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# Lesser General Public License for more details.
#                                                                                 
# You should have received a copy of the GNU Lesser General Public
# License along with this library; if not, write to the Free Software
# Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
# END COPYRIGHT BLOCK

override BUILD_MODULE=CONSOLE
NO_BUILD_NUM=true
NOSTDCLEAN=true

MCOM_ROOT = ../../../../../../../..
include $(MCOM_ROOT)/netsite/nsdefs.mk
include $(MCOM_ROOT)/netsite/nsconfig.mk
include ../../../../../../rules.mk
DEST_DIR=$(NMC_DIR)/client/comm/test

ifeq ($(OS), Windows_NT)
PATH_SEP=;
else
PATH_SEP=:
endif

#
# programs list
#
source = \
	$(DEST_DIR)/Get.class \

all: $(DEST_DIR) $(source)

clean:
	rm $(DEST_DIR)/*.class;

fresh: $(clean) $(all)

$(DEST_DIR)/%.class : %.java
	$(JAVAC) -g -classpath "$(CLASSPATH)$(PATH_SEP)$(CLASS_DIR)" -d $(CLASS_DIR) $<

$(DEST_DIR)/TestHttpsApplet2.class : TestHttpsApplet2.java
	$(JAVAC) -g -classpath "java40.jar" -d $(CLASS_DIR) $<

$(DEST_DIR):	
	mkdir -p $(DEST_DIR)

run: all
	java -classpath "$(CLASSPATH)$(PATH_SEP)$(CLASS_DIR)" com.netscape.management.client.comm.test.Get

=== debian/changelog ===
idm-console-framework (1.1.14-1) unstable; urgency=medium

  * New upstream release.

 -- Timo Aaltonen <tjaalton@debian.org>  Fri, 03 Jul 2015 08:32:02 +0300

idm-console-framework (1.1.9-1) unstable; urgency=medium

  * New upstream release.
    - add TLS1.1/1.2 support
  * .links: Remove, as versioned jars are not created anymore.

 -- Timo Aaltonen <tjaalton@debian.org>  Tue, 10 Mar 2015 10:52:29 +0200

idm-console-framework (1.1.7-2) unstable; urgency=low

  * watch: Add a comment about the upstream git tree.
  * watch: Fix upstream link.
  * copyright: Fix formatting
  * compat, control: Bump to debhelper 9.
  * control: Update my email.
  * control, .classpath: Add javahelper to build-depends, add
    a classpath file.
  * control: Bump policy to 3.9.6, no changes.
  * rules: Build using javac target 1.5. (LP:#1049774)

 -- Timo Aaltonen <tjaalton@debian.org>  Sat, 25 Oct 2014 11:39:53 +0300

=== debian/control ===
Source: idm-console-framework
Section: java
Maintainer: Debian 389ds Team <pkg-fedora-ds-maintainers@lists.alioth.debian.org>
Uploaders: Michele Baldessari <michele@pupazzo.org>,
	   Timo Aaltonen <tjaalton@debian.org>
Priority: optional
Build-Depends: debhelper (>= 9),
 ant,
 javahelper,
 libjss-java,
 libldap-java,
 quilt,
 default-jdk,
Standards-Version: 3.9.6
Vcs-Git: git://git.debian.org/git/pkg-fedora-ds/idm-console-framework.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-fedora-ds/idm-console-framework.git
Homepage: http://directory.fedoraproject.org

Package: libidm-console-framework-java
Architecture: all
Depends: ${misc:Depends}, ${java:Depends}
Description: IDM Console Framework for the 389 Directory Server Console
 A Java Management Console framework, used for 389 Directory Server remote
 management.

=== debian/watch ===
#git=git://git.fedorahosted.org/idm-console-framework.git
version=3
http://www.port389.org/binaries/idm-console-framework-(.*).tar.bz2

## idm-console-framework 1.2.0

=== examples/supermail/Makefile ===
# BEGIN COPYRIGHT BLOCK
# Copyright (C) 2001 Sun Microsystems, Inc.  Used by permission.
# Copyright (C) 2005 Red Hat, Inc.
# All rights reserved.
#
# This library is free software; you can redistribute it and/or
# modify it under the terms of the GNU Lesser General Public
# License as published by the Free Software Foundation version
# 2.1 of the License.
#                                                                                 
# This library is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# Lesser General Public License for more details.
#                                                                                 
# You should have received a copy of the GNU Lesser General Public
# License along with this library; if not, write to the Free Software
# Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
# END COPYRIGHT BLOCK

override BUILD_MODULE=HTTP_ADMIN

NOSTDCLEAN=true

MCOM_ROOT = ../../../../../..
DIR_SUFFIX = sdk/examples

include ../../../../../nsdefs.mk
include ../../../../../nsconfig.mk
include ../../../../../admserv/client/rules.mk

DEST_DIR = $(CLASS_DIR)/supermail

source = \
		$(DEST_DIR)/SuperMailFrameworkInitializer.class \
		$(DEST_DIR)/SuperMailServer.class \
		$(DEST_DIR)/supermail.properties \
		$(DEST_DIR)/classes.env

all: $(DEST_DIR) do_ug do_topology do_customview do_configuration do_status do_images $(source)

run: all
	$(JAVA) -classpath "$(CLASSPATH)$(PATH_SEP)$(CLASS_DIR)" supermail.SuperMailServer

clean:
	rm -f $(DEST_DIR)/*.class;

$(DEST_DIR)/%.class : %.java
	$(JAVAC) -classpath "$(CLASSPATH)$(PATH_SEP)$(CLASS_DIR)" -d $(CLASS_DIR) $<

$(DEST_DIR):	
	mkdir -p $(DEST_DIR)

do_images:
	cd images; $(MAKE) $(MAKEFLAGS)

do_ug:
	cd ug; $(MAKE)  $(MAKEFLAGS)

do_topology:
	cd topology; $(MAKE)  $(MAKEFLAGS)

do_customview:
	cd customview; $(MAKE)  $(MAKEFLAGS)

do_configuration: 
	cd configuration; $(MAKE)  $(MAKEFLAGS)

do_status:
	cd status; $(MAKE)  $(MAKEFLAGS)

$(DEST_DIR)/classes.env: classes.env
	cp $< $@

$(DEST_DIR)/%.properties: %.properties
	cp $< $@

=== examples/supermail/topology/Makefile ===
# BEGIN COPYRIGHT BLOCK
# Copyright (C) 2001 Sun Microsystems, Inc.  Used by permission.
# Copyright (C) 2005 Red Hat, Inc.
# All rights reserved.
#
# This library is free software; you can redistribute it and/or
# modify it under the terms of the GNU Lesser General Public
# License as published by the Free Software Foundation version
# 2.1 of the License.
#                                                                                 
# This library is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# Lesser General Public License for more details.
#                                                                                 
# You should have received a copy of the GNU Lesser General Public
# License along with this library; if not, write to the Free Software
# Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
# END COPYRIGHT BLOCK

override BUILD_MODULE=HTTP_ADMIN
NO_BUILD_NUM=true
NOSTDCLEAN=true

MCOM_ROOT = ../../../../../../..
DIR_SUFFIX = sdk/examples

include ../../../../../../nsdefs.mk
include ../../../../../../nsconfig.mk
include ../../../../rules.mk

DEST_DIR = $(CLASS_DIR)/supermail/topology

source = \
		$(DEST_DIR)/SuperMailTopologyPlugin.class

all: $(DEST_DIR) $(source)

run: all
	$(JAVA) SuperMailFrameworkInitializer

clean:
	rm -f $(DEST_DIR)/*.class;

$(DEST_DIR)/%.class : %.java
	$(JAVAC) -classpath "$(CLASSPATH)$(PATH_SEP)$(CLASS_DIR)" -d $(CLASS_DIR) $<

$(DEST_DIR):	
	mkdir -p $(DEST_DIR)

=== test/com/netscape/management/client/ace/Makefile ===
# BEGIN COPYRIGHT BLOCK
# Copyright (C) 2001 Sun Microsystems, Inc.  Used by permission.
# Copyright (C) 2005 Red Hat, Inc.
# All rights reserved.
#
# This library is free software; you can redistribute it and/or
# modify it under the terms of the GNU Lesser General Public
# License as published by the Free Software Foundation version
# 2.1 of the License.
#                                                                                 
# This library is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# Lesser General Public License for more details.
#                                                                                 
# You should have received a copy of the GNU Lesser General Public
# License along with this library; if not, write to the Free Software
# Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
# END COPYRIGHT BLOCK

override BUILD_MODULE=CONSOLE

MCOM_ROOT = ../../../../../../..

include $(MCOM_ROOT)/netsite/nsdefs.mk
include $(MCOM_ROOT)/netsite/nsconfig.mk
include $(MCOM_ROOT)/netsite/console/rules.mk

DEST_DIR=$(NMC_DIR)/client/ace

source = \
	$(DEST_DIR)/ace.properties \
	$(DEST_DIR)/ACIAttribute.class \
	$(DEST_DIR)/ACIEditor.class \
	$(DEST_DIR)/ACIManager.class \
	$(DEST_DIR)/ACIParser.class \
	$(DEST_DIR)/HostTab.class \
	$(DEST_DIR)/IACITab.class \
	$(DEST_DIR)/RightsTab.class \
	$(DEST_DIR)/TargetTab.class \
	$(DEST_DIR)/TimeTab.class \
	$(DEST_DIR)/UGChooserDialog.class \
	$(DEST_DIR)/UGTab.class \
	$(DEST_DIR)/UGTable.class \
	$(DEST_DIR)/UGTableModel.class

all: $(DEST_DIR) $(source)

test: $(DEST_DIR)/ACITest.class
	java -classpath "$(CLASSPATH)$(PATH_SEP)$(CLASS_DIR)" com.netscape.management.client.ace.ACITest

include $(MCOM_ROOT)/netsite/console/targets.mk

=== test/com/netscape/management/client/acl/Makefile ===
# BEGIN COPYRIGHT BLOCK
# Copyright (C) 2001 Sun Microsystems, Inc.  Used by permission.
# Copyright (C) 2005 Red Hat, Inc.
# All rights reserved.
#
# This library is free software; you can redistribute it and/or
# modify it under the terms of the GNU Lesser General Public
# License as published by the Free Software Foundation version
# 2.1 of the License.
#                                                                                 
# This library is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# Lesser General Public License for more details.
#                                                                                 
# You should have received a copy of the GNU Lesser General Public
# License along with this library; if not, write to the Free Software
# Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
# END COPYRIGHT BLOCK

override BUILD_MODULE=CONSOLE

MCOM_ROOT = ../../../../../../..

include $(MCOM_ROOT)/netsite/nsdefs.mk
include $(MCOM_ROOT)/netsite/nsconfig.mk
include $(MCOM_ROOT)/netsite/console/rules.mk

DEST_DIR=$(NMC_DIR)/client/acl

source = \
		$(DEST_DIR)/AttributeList.class \
		$(DEST_DIR)/Rule.class \
		$(DEST_DIR)/ACL.class \
		$(DEST_DIR)/FileACL.class \
		$(DEST_DIR)/HttpWriter.class \
		$(DEST_DIR)/HttpACL.class \
		$(DEST_DIR)/LdapACLSelector.class \
		$(DEST_DIR)/LdapRule.class \
		$(DEST_DIR)/LdapACL.class \
		$(DEST_DIR)/LdapWriter.class 

all: $(DEST_DIR) $(source)

include $(MCOM_ROOT)/netsite/console/targets.mk

=== test/com/netscape/management/client/acleditor/Makefile ===
# BEGIN COPYRIGHT BLOCK
# Copyright (C) 2001 Sun Microsystems, Inc.  Used by permission.
# Copyright (C) 2005 Red Hat, Inc.
# All rights reserved.
#
# This library is free software; you can redistribute it and/or
# modify it under the terms of the GNU Lesser General Public
# License as published by the Free Software Foundation version
# 2.1 of the License.
#                                                                                 
# This library is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# Lesser General Public License for more details.
#                                                                                 
# You should have received a copy of the GNU Lesser General Public
# License along with this library; if not, write to the Free Software
# Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
# END COPYRIGHT BLOCK

override BUILD_MODULE=CONSOLE

MCOM_ROOT = ../../../../../../..

include $(MCOM_ROOT)/netsite/nsdefs.mk
include $(MCOM_ROOT)/netsite/nsconfig.mk
include $(MCOM_ROOT)/netsite/console/rules.mk

DEST_DIR=$(NMC_DIR)/client/acleditor

source = \
		$(DEST_DIR)/ACLEditorConstants.class \
		$(DEST_DIR)/DataModelAdapter.class \
		$(DEST_DIR)/HorizontalLine.class \
		$(DEST_DIR)/CallbackAction.class \
		$(DEST_DIR)/SelectionListener.class \
		$(DEST_DIR)/CustomJTable.class \
		$(DEST_DIR)/ACLEditorWindow.class \
		$(DEST_DIR)/PopupErrorDialog.class \
		$(DEST_DIR)/WindowFactory.class \
		$(DEST_DIR)/Table.class \
		$(DEST_DIR)/UserGroupDataModel.class \
		$(DEST_DIR)/HostsDataModel.class \
		$(DEST_DIR)/RightsDataModel.class \
		$(DEST_DIR)/PickerWindow.class \
		$(DEST_DIR)/RightsWindow.class \
		$(DEST_DIR)/TimeWindow.class \
		$(DEST_DIR)/SyntaxWindow.class \
		$(DEST_DIR)/AttributesWindow.class \
		$(DEST_DIR)/ACLSelectorWindow.class \
		$(DEST_DIR)/DataModelFactory.class \
		$(DEST_DIR)/TableDataModel.class \
		$(DEST_DIR)/InheritedTableDataModel.class \
		$(DEST_DIR)/DefaultDataModelFactory.class \
		$(DEST_DIR)/DefaultWindowFactory.class \
		$(DEST_DIR)/ACLRuleTableWindow.class \
		$(DEST_DIR)/ACLEditor.class \
		$(DEST_DIR)/ACLResources.properties

all: $(DEST_DIR) $(DEST_DIR)/images $(source)

include $(MCOM_ROOT)/netsite/console/targets.mk

=== debian/changelog ===
idm-console-framework (1.2.0-1) unstable; urgency=medium

  * New upstream release.
  * control: Update maintainer address. (Closes: #899881)
  * control: Drop Michele from uploaders.
  * control: Update vcs urls.
  * watch: Updated.
  * control: Bump depends on libjss-java and libldap-java.

 -- Timo Aaltonen <tjaalton@debian.org>  Thu, 16 Aug 2018 09:12:23 +0300

=== debian/control ===
Source: idm-console-framework
Section: java
Maintainer: Debian FreeIPA Team <pkg-freeipa-devel@alioth-lists.debian.net>
Uploaders: Timo Aaltonen <tjaalton@debian.org>
Priority: optional
Build-Depends: debhelper (>= 9),
 ant,
 javahelper,
 libjss-java (>= 4.5.0),
 libldap-java (>= 4.20.0),
 quilt,
 default-jdk,
Standards-Version: 3.9.6
Vcs-Git: https://salsa.debian.org/freeipa-team/idm-console-framework.git
Vcs-Browser: https://salsa.debian.org/freeipa-team/idm-console-framework
Homepage: http://directory.fedoraproject.org

Package: libidm-console-framework-java
Architecture: all
Depends: ${misc:Depends},
 libjss-java (>= 4.5.0),
 libldap-java (>= 4.20.0),
Description: IDM Console Framework for the 389 Directory Server Console
 A Java Management Console framework, used for 389 Directory Server remote
 management.

## idm-console-framework 2.0.0

=== .copr/Makefile ===
srpm:
	dnf install -y git
	./build.sh --with-timestamp --with-commit-id srpm
	if [[ "${outdir}" != "" ]]; then \
	    mv ${HOME}/build/idm-console-framework/SRPMS/* ${outdir}; \
	fi

=== examples/framework/Makefile ===
# BEGIN COPYRIGHT BLOCK
# Copyright (C) 2001 Sun Microsystems, Inc.  Used by permission.
# Copyright (C) 2005 Red Hat, Inc.
# All rights reserved.
#
# This library is free software; you can redistribute it and/or
# modify it under the terms of the GNU Lesser General Public
# License as published by the Free Software Foundation version
# 2.1 of the License.
#                                                                                 
# This library is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# Lesser General Public License for more details.
#                                                                                 
# You should have received a copy of the GNU Lesser General Public
# License along with this library; if not, write to the Free Software
# Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
# END COPYRIGHT BLOCK

override BUILD_MODULE=HTTP_ADMIN
NO_BUILD_NUM=true
NOSTDCLEAN=true

MCOM_ROOT = ../../../../../..
DIR_SUFFIX = sdk/examples

include ../../../../../nsdefs.mk
include ../../../../../nsconfig.mk
include ../../../../../admserv/client/rules.mk

DEST_DIR = $(CLASS_DIR)/framework

source = \
		$(DEST_DIR)/DemoTaskModel.class \
		$(DEST_DIR)/DemoResourceModel.class \
		$(DEST_DIR)/DemoFrameworkInitializer.class

all: $(DEST_DIR) $(source) $(DEST_DIR)/images

run: all
	$(JAVA) -classpath "$(CLASSPATH)$(PATH_SEP)$(CLASS_DIR)$(PATH_SEP)$(DEST_DIR)" DemoFrameworkInitializer

clean:
	rm $(DEST_DIR)/*.class;

$(DEST_DIR)/%.class : %.java
	$(JAVAC) -classpath "$(CLASSPATH)$(PATH_SEP)$(CLASS_DIR)" -d $(CLASS_DIR) $<

$(DEST_DIR):	
	mkdir -p $(DEST_DIR)

$(DEST_DIR)/images:
	mkdir $(DEST_DIR)/images
	-cp images/* $(DEST_DIR)/images/*

=== examples/supermail/configuration/Makefile ===
# BEGIN COPYRIGHT BLOCK
# Copyright (C) 2001 Sun Microsystems, Inc.  Used by permission.
# Copyright (C) 2005 Red Hat, Inc.
# All rights reserved.
#
# This library is free software; you can redistribute it and/or
# modify it under the terms of the GNU Lesser General Public
# License as published by the Free Software Foundation version
# 2.1 of the License.
#                                                                                 
# This library is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# Lesser General Public License for more details.
#                                                                                 
# You should have received a copy of the GNU Lesser General Public
# License along with this library; if not, write to the Free Software
# Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
# END COPYRIGHT BLOCK

override BUILD_MODULE=HTTP_ADMIN
NO_BUILD_NUM=true
NOSTDCLEAN=true

MCOM_ROOT = ../../../../../../..
DIR_SUFFIX = sdk/examples

include ../../../../../../nsdefs.mk
include ../../../../../../nsconfig.mk
include ../../../../rules.mk

DEST_DIR = $(CLASS_DIR)/supermail/configuration

source = \
		$(DEST_DIR)/ConfigurationNodeRHP.class \
		$(DEST_DIR)/ConfigurationNode.class \
		$(DEST_DIR)/OperationNode.class \
		$(DEST_DIR)/OperationNodeRHP.class \
		$(DEST_DIR)/SuperMailServerNode.class \
		$(DEST_DIR)/SuperMailServerNodeRHP.class

all: $(DEST_DIR) $(source)

clean:
	rm -f $(DEST_DIR)/*.class;

$(DEST_DIR)/%.class : %.java
	$(JAVAC) -classpath "$(CLASSPATH)$(PATH_SEP)$(CLASS_DIR)" -d $(CLASS_DIR) $<

$(DEST_DIR):	
	mkdir -p $(DEST_DIR)

=== examples/supermail/status/Makefile ===
# BEGIN COPYRIGHT BLOCK
# Copyright (C) 2001 Sun Microsystems, Inc.  Used by permission.
# Copyright (C) 2005 Red Hat, Inc.
# All rights reserved.
#
# This library is free software; you can redistribute it and/or
# modify it under the terms of the GNU Lesser General Public
# License as published by the Free Software Foundation version
# 2.1 of the License.
#                                                                                 
# This library is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# Lesser General Public License for more details.
#                                                                                 
# You should have received a copy of the GNU Lesser General Public
# License along with this library; if not, write to the Free Software
# Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
# END COPYRIGHT BLOCK

override BUILD_MODULE=HTTP_ADMIN
NO_BUILD_NUM=true
NOSTDCLEAN=true

MCOM_ROOT = ../../../../../../..
DIR_SUFFIX = sdk/examples

include ../../../../../../nsdefs.mk
include ../../../../../../nsconfig.mk
include ../../../../rules.mk

DEST_DIR = $(CLASS_DIR)/supermail/status

source = \
		$(DEST_DIR)/StatusPage.class \
		$(DEST_DIR)/AccessLogModel.class \
		$(DEST_DIR)/ErrorLogModel.class \
		$(DEST_DIR)/PerformanceNode.class
		
		
all: $(DEST_DIR) $(source)

clean:
	rm -f $(DEST_DIR)/*.class;

$(DEST_DIR)/%.class : %.java
	$(JAVAC) -classpath "$(CLASSPATH)$(PATH_SEP)$(CLASS_DIR)" -d $(CLASS_DIR) $<

$(DEST_DIR):	
	mkdir -p $(DEST_DIR)

=== test/com/netscape/management/client/components/Makefile ===
# BEGIN COPYRIGHT BLOCK
# Copyright (C) 2001 Sun Microsystems, Inc.  Used by permission.
# Copyright (C) 2005 Red Hat, Inc.
# All rights reserved.
#
# This library is free software; you can redistribute it and/or
# modify it under the terms of the GNU Lesser General Public
# License as published by the Free Software Foundation version
# 2.1 of the License.
#                                                                                 
# This library is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# Lesser General Public License for more details.
#                                                                                 
# You should have received a copy of the GNU Lesser General Public
# License along with this library; if not, write to the Free Software
# Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
# END COPYRIGHT BLOCK

override BUILD_MODULE=CONSOLE

MCOM_ROOT = ../../../../../../../..

include $(MCOM_ROOT)/netsite/nsdefs.mk
include $(MCOM_ROOT)/netsite/nsconfig.mk
include $(MCOM_ROOT)/netsite/console/rules.mk

DEST_DIR=$(NMC_DIR)/client/components/test

SOURCE_FILES=$(subst .java,,$(wildcard *Test.java))
CLASS_FILES=$(addsuffix .class, $(SOURCE_FILES))
DEST_FILES=$(addprefix $(DEST_DIR)/, $(CLASS_FILES))
FIRST_SOURCE_FILE=$(firstword $(SOURCE_FILES))

all:
	@echo Usage Syntax:
	@$(addprefix echo ' gmake , $(addsuffix ';, $(SOURCE_FILES)))
	@echo 
	@echo Example:
	@echo ' gmake $(FIRST_SOURCE_FILE)'
	@echo will compile $(FIRST_SOURCE_FILE).java and run $(FIRST_SOURCE_FILE).class

%Test:
	gmake $(addprefix $(DEST_DIR)/, $(addsuffix .class, $@))
	gmake RUNTARGET=com.netscape.management.client.components.test.$@ run

buildAll: $(DEST_DIR) $(DEST_DIR)/images $(DEST_FILES)

include $(MCOM_ROOT)/netsite/console/targets.mk

=== test/com/netscape/management/client/topology/ug/Makefile ===
# BEGIN COPYRIGHT BLOCK
# Copyright (C) 2001 Sun Microsystems, Inc.  Used by permission.
# Copyright (C) 2005 Red Hat, Inc.
# All rights reserved.
#
# This library is free software; you can redistribute it and/or
# modify it under the terms of the GNU Lesser General Public
# License as published by the Free Software Foundation version
# 2.1 of the License.
#                                                                                 
# This library is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# Lesser General Public License for more details.
#                                                                                 
# You should have received a copy of the GNU Lesser General Public
# License along with this library; if not, write to the Free Software
# Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
# END COPYRIGHT BLOCK

override BUILD_MODULE=CONSOLE

MCOM_ROOT = ../../../../../../../../..

include $(MCOM_ROOT)/netsite/nsdefs.mk
include $(MCOM_ROOT)/netsite/nsconfig.mk
include $(MCOM_ROOT)/netsite/console/rules.mk

DEST_DIR=$(NMC_DIR)/client/topology/ug/test

source = \
	$(DEST_DIR)/UGToolPlugin.class

all: $(DEST_DIR) $(source)

include $(MCOM_ROOT)/netsite/console/targets.mk

=== debian/changelog ===
idm-console-framework (2.0.0-1) unstable; urgency=medium

  * New upstream release.
  * control: Migrate to debhelper-compat, bump to 13.
  * control: Bump libjss-java, libldap-java depends.
  * control: Bump policy to 4.6.0.
  * rules: Drop building for old java version.
  * Drop obsolete lintian-overrides.
  * classpath: Updated for new jss.

 -- Timo Aaltonen <tjaalton@debian.org>  Tue, 19 Oct 2021 12:45:30 +0300

=== debian/control ===
Source: idm-console-framework
Section: java
Maintainer: Debian FreeIPA Team <pkg-freeipa-devel@alioth-lists.debian.net>
Uploaders: Timo Aaltonen <tjaalton@debian.org>
Priority: optional
Build-Depends: debhelper-compat (= 13),
 ant,
 javahelper,
 libjss-java (>= 5.0.0),
 libldap-java (>= 5.0.0),
 quilt,
 default-jdk,
Standards-Version: 4.6.0
Vcs-Git: https://salsa.debian.org/freeipa-team/idm-console-framework.git
Vcs-Browser: https://salsa.debian.org/freeipa-team/idm-console-framework
Homepage: http://directory.fedoraproject.org

Package: libidm-console-framework-java
Architecture: all
Depends: ${misc:Depends},
 libjss-java (>= 5.0.0),
 libldap-java (>= 5.0.0),
Description: IDM Console Framework for the 389 Directory Server Console
 A Java Management Console framework, used for 389 Directory Server remote
 management.

=== debian/rules ===
--- 
+++ 
@@ -22,4 +22,4 @@
 	install -m 644 $(BUILT_DIR)/release/jars/*.jar $(CURDIR)/debian/libidm-console-framework-java/usr/share/java/
 
 %:
-	dh $@
+	dh $@ --with javahelper

=== debian/watch ===
#git=https://github.com/dogtagpki/idm-console-framework
version=4
opts="compression=xz,repack,filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%idm-console-framework-$1.tar.gz%" \
https://github.com/dogtagpki/idm-console-framework/releases/ (?:.*?/)?v?(\d[\d.]*)\.tar\.gz
